Skip to main content
GET
/
api
/
v2
/
external
/
billing
/
history
Get Execution History
curl --request GET \
  --url https://api.lyceum.technology/api/v2/external/billing/history \
  --header 'Authorization: Bearer <token>'
{
  "executions": [
    {
      "execution_id": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "execution_type": "<string>",
      "status": "<string>",
      "hardware_profile": "<string>",
      "status_details": "<string>",
      "local_imports": "<string>",
      "billed": 123,
      "execelet_start": "<string>",
      "start_time": "<string>",
      "end_time": "<string>",
      "finish_time": "<string>",
      "job_start": "2023-11-07T05:31:56Z",
      "job_end": "2023-11-07T05:31:56Z",
      "file_name": "<string>",
      "errors_docker": "<string>",
      "parent_execution_id": "<string>",
      "job_type": "<string>",
      "metadata": {}
    }
  ],
  "total_executions": 123,
  "total_credits_spent": 123,
  "limit": 123,
  "offset": 123,
  "counts_by_status": {}
}

Authorizations

Authorization
string
header
required

Pass an API key (prefixed lk_) or a JWT access token as a bearer token. Generate API keys in the dashboard at https://dashboard.lyceum.technology/api-keys.

Query Parameters

limit
integer
default:50
offset
integer
default:0

Response

Successful Response

executions
ExecutionSummary · object[]
required
total_executions
integer
required
total_credits_spent
number
required
limit
integer
required
offset
integer
required
counts_by_status
Counts By Status · object